- Qt 5.15
- Qt Wayland Compositor
- QML Types
- XdgSurfaceV6 QML Type
- Qt 5.15.18 Reference Documentation

# XdgSurfaceV6 QML Type

XdgSurfaceV6 provides desktop-style compositor-specific features to an xdg surface. More...

Import Statement: | import QtWayland.Compositor 1.15
Since: | Qt 5.10

- List of all members, including inherited members

## Properties

- popup : XdgPopupV6
- shell : XdgShellV6
- surface : WaylandSurface
- toplevel : XdgToplevelV6
- windowGeometry : rect
- windowType : enum

## Methods

- void initialize(object xdgShell, object surface, object client, int id)

## Detailed Description

This type is part of the XdgShellV6 extension and provides a way to extend the functionality of an existing WaylandSurface with features specific to desktop-style compositors, such as resizing and moving the surface.

It corresponds to the Wayland interface `zxdg_surface_v6`.

## Property Documentation

popup : XdgPopupV6

This property holds the properties and methods that are specific to the popup XdgSurfaceV6.

See also toplevel and XdgShellV6::popupCreated.

shell : XdgShellV6

This property holds the shell associated with this XdgSurface.

surface : WaylandSurface

This property holds the surface associated with this XdgSurfaceV6.

toplevel : XdgToplevelV6

This property holds the properties and methods that are specific to the toplevel XdgSurfaceV6.

See also popup and XdgShellV6::toplevelCreated.

windowGeometry : rect

This property holds the window geometry of the QWaylandXdgSurfaceV6. The window geometry describes the window's visible bounds from the user's perspective. The geometry includes title bars and borders if drawn by the client, but excludes drop shadows. It is meant to be used for aligning and tiling windows.

windowType : enum

This property holds the window type of the XdgSurfaceV6.

## Method Documentation

void initialize(object xdgShell, object surface, object client, int id)

Initializes the XdgSurface, associating it with the given xdgShell, surface, client, and id.